Reference: Supported engines and JREs

The following engines and JREs are supported in Comply.

Supported engines and JREs are published after internal validation. Regular updating is recommended.

CIS-CAT

Version Filename
3.0.78 ciscat-full-bundle-2021-12-20-v3.0.78.zip

Tanium Scan Engine

Comply 2.3 and later includes the Tanium Scan Engine (powered by JovalCM).

SCC

Version Filename
5.1 scc-5.1_Windows_bundle.zip
scc-5.1_ubuntu16_amd64_bundle.zip
scc-5.1_macosx10_x86_64_bundle.zip
scc-5.1_rhel6_i686_bundle.zip
scc-5.1_rhel6_x86_64_bundle.zip
scc-5.1_rhel7_x86_64_bundle.zip
5.1 (embedded*) scc-5.1_Windows_bundle.zip
scc-5.1_ubuntu16_amd64_bundle.tar.gz
scc-5.1_macosx10_x86_64_bundle.tar.gz
scc-5.1_rhel6_i686_bundle.tar.gz
scc-5.1_rhel6_x86_64_bundle.tar.gz
scc-5.1_rhel7_x86_64_bundle.tar.gz
5.2.1 scc-5.2.1_Windows_bundle.zip
scc-5.2.1_ubuntu16_amd64_bundle.zip
scc-5.2.1_macosx10_x86_64_bundle.zip
scc-5.2.1_rhel6_i686_bundle.zip
scc-5.2.1_rhel6_x86_64_bundle.zip
scc-5.2.1_rhel7_x86_64_bundle.zip
5.2.1 (embedded*) scc-5.2.1_Windows_bundle.zip
scc-5.2.1_ubuntu16_amd64_bundle.tar.gz
scc-5.2.1_macosx10_x86_64_bundle.tar.gz
scc-5.2.1_rhel6_i686_bundle.tar.gz
scc-5.2.1_rhel6_x86_64_bundle.tar.gz
scc-5.2.1_rhel7_x86_64_bundle.tar.gz
5.3.1 scc-5.3.1_Windows_bundle.zip
scc-5.3.1_ubuntu16_amd64_bundle.zip
scc-5.3.1_macosx10_x86_64_bundle.zip
scc-5.3.1_rhel6_i686_bundle.zip
scc-5.3.1_rhel6_x86_64_bundle.zip
scc-5.3.1_rhel7_x86_64_bundle.zip
5.3.1 (embedded*) scc-5.3.1_Windows_bundle.zip
scc-5.3.1_ubuntu16_amd64_bundle.tar.gz
scc-5.3.1_macosx10_x86_64_bundle.tar.gz
scc-5.3.1_rhel6_i686_bundle.tar.gz
scc-5.3.1_rhel6_x86_64_bundle.tar.gz
scc-5.3.1_rhel7_x86_64_bundle.tar.gz
5.4 scc-5.4_Windows_bundle.zip
scc-5.4_ubuntu16_amd64_bundle.zip
scc-5.4_macosx10_x86_64_bundle.zip
scc-5.4_rhel6_i686_bundle.zip
scc-5.4_rhel6_x86_64_bundle.zip
scc-5.4_rhel7_x86_64_bundle.zip
5.4 (embedded*) scc-5.4_Windows_bundle.zip
scc-5.4_ubuntu16_amd64_bundle.tar.gz
scc-5.4_macosx10_x86_64_bundle.tar.gz
scc-5.4_rhel6_i686_bundle.tar.gz
scc-5.4_rhel6_x86_64_bundle.tar.gz
scc-5.4_rhel7_x86_64_bundle.tar.gz
5.4.2 scc-5.4.2_Windows_bundle.zip
scc-5.4.2_ubuntu16_amd64_bundle.tar.gz
scc-5.4.2_macosx10_x86_64_bundle.tar.gz
scc-5.4.2_rhel6_i686_bundle.tar.gz
scc-5.4.2_rhel6_x86_64_bundle.tar.gz
scc-5.4.2_rhel7_x86_64_bundle.tar.gz
5.4.2 (*embedded) scc-5.4.2_Windows_bundle.zip
scc-5.4.2_ubuntu16_amd64_bundle.tar.gz
scc-5.4.2_macosx10_x86_64_bundle.tar.gz
scc-5.4.2_rhel6_i686_bundle.tar.gz
scc-5.4.2_rhel6_x86_64_bundle.tar.gz
scc-5.4.2_rhel7_x86_64_bundle.tar.gz

*Embedded files are the zip/tar.gz files found within each corresponding SCC zip file.

Joval

The Tanium Scan Engine (TSE) is packaged and distributed with a license file via ECF. Beginning with version 6.3.5 of the engine, powered by JovalCM (the vendor from which Tanium OEMs the engine), the license file format changed, and the new license is not backwards compatible with older versions of the engine. Each version of the Joval/TSE engine is supported for a little more than a year after the release date.

The following table provides version and support information.

Version Release Support EOL
6.4.2 3/11/2022 TBD
6.4.1.1 12/1/2021 TBD
6.4.0 06/30/21 11/01/22
6.3.9 05/04/21 06/30/22
6.3.8 04/13/21 05/04/22
6.3.7 03/19/21 04/13/22
6.3.6 02/05/21 03/19/22
6.3.5 12/11/20 02/05/22
6.3.4 11/06/20 12/11/21
6.3.3 10/30/20 11/06/21
6.3.2 11/25/20 10/30/21
6.3.1 09/11/20 09/25/21
6.3.0 08/14/20 09/11/21
6.2.2 08/07/20 08/14/21
6.2.1 06/02/20 08/07/21

If you are using a version of TSE older than 6.3.5, it is recommended that you upgrade to the latest available version of the Tanium Scan Engine (TSE). You can do this from the Comply > Setup > Configuration window or using the airgap procedure found here Configure Comply for an air-gapped environment.

Java Runtime Environment (JRE)

Operating system Operating system version Supported JRE distributions and versions Can deploy using Comply?
Microsoft Windows Server Microsoft Windows Server 2008 R2

Java version 8 or 11 distributions provided by Oracle

Yes
Microsoft Windows Server 2012 and 2012 R2
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
Microsoft Windows Server 2016 and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
Microsoft Windows Workstation Microsoft Windows 7 and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
macOS macOS 10.15 Catalina and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
  Linux Amazon Linux 1 AMI (2016.09, 2018.03)
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by Amazon
Yes
Amazon Linux 2 LTS
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by Amazon
Yes
Debian 8.x and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
Red Hat Enterprise Linux (RHEL) 5.x Upload your own version of Java 8 No63
Red Hat Enterprise Linux (RHEL) 6.x and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
CentOS 6.x and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
SUSE Linux Enterprise Server (SLES) 12.x and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
openSUSE 12.x and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
Ubuntu 14.x and later
  • JRE provided with Comply
  • Java version 8 or 11 distributions provided by either Oracle or Amazon
Yes
AIX1 IBM AIX 7.1 TL1SP10 and later2 IBM JRE 8 Yes3
OpenJDK JRE version 8 with the HotSpot JVM Yes4
IBM AIX 7.2 IBM JRE version 8 Yes3
OpenJDK JRE version 8 with the HotSpot JVM Yes4
Solaris52 Oracle Solaris 10 SPARC Oracle JRE 8 Yes52
Oracle Solaris 10 x8621 Oracle JRE 8 Yes52
Oracle Solaris 11 SPARC Oracle JRE 8 Yes52
Oracle Solaris 11 x8621 Oracle JRE 8 Yes52

1The IBM JRE is usually already installed on AIX endpoints. Supported versions can be used with Comply scans.

2 1 64-bit only.

3Only IBM JRE 8 64-bit is supported for deployment through Comply. You must repackage the JRE before it can be deployed through Comply. For details, see Repackage the IBM JRE for deployment to AIX endpoints.

4Only version 8 is supported for deployment through Comply. Check the OpenJDK release site for supported service pack levels for a particular OpenJDK JRE release: AdoptOpenJDK: Latest release.

5 2 Only version 8 is supported for deployment through Comply.

6 3 The JRE provided with Comply may not work with older versions of Linux. Refer to the support information provided in Amazon Corretto FAQs. Upload your own version of Java 8 if you have older versions of Linux.

Amazon Coretto Java Runtime Environment (JRE) version 11.x is provided for use with supported Windows, Linux, and macOS endpoints. JRE version 11.0.15.9.1 and later also support Mac M1 and Amazon Linux 2 EC2.